package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum DemandStatus {
	
	UNRESOLVED(0,"未解决"),
	SOLVED(1,"已解决"),
	OTHER(2, "其他");

	private DemandStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, DemandStatus> status = new HashMap<Integer, DemandStatus>();

	static {
		for (DemandStatus value : DemandStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static DemandStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static DemandStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
	

}
